import * as core from "@terrascript/core";

export interface LbListenerCertificateArgs extends core.ResourceArgs {
  certificateArn: string | core.StringOut;

  listenerArn: string | core.StringOut;
}

export class LbListenerCertificate extends core.Resource<LbListenerCertificateArgs> {
  @core.attr(String)
  public certificateArn!: string | core.StringOut;

  @core.attr(String, { computed: true })
  public id!: string | core.StringOut;

  @core.attr(String)
  public listenerArn!: string | core.StringOut;

  constructor(name: string, args?: LbListenerCertificateArgs) {
    super(name, "aws_lb_listener_certificate", args);
  }

  public override getNamespace(): string {
    return "aws_elb";
  }
}
